masamune_agora 2.4.42 copy "masamune_agora: ^2.4.42" to clipboard
masamune_agora: ^2.4.42 copied to clipboard

unlisted

Plug-in for Masamune framework to use Agora.io. Includes support for recording.

2.4.42 #

  • Update a dependency to the latest release.

2.4.41 #

  • Update a dependency to the latest release.

2.4.40 #

  • Update a dependency to the latest release.

2.4.39 #

  • Update a dependency to the latest release.

2.4.38 #

  • Update a dependency to the latest release.

2.4.37 #

  • DOCS: Unit is assigned to the bit rate. (1dfbc84a)

2.4.36 #

  • Update a dependency to the latest release.

2.4.35 #

  • Update a dependency to the latest release.

2.4.34 #

  • Update a dependency to the latest release.

2.4.33 #

  • Update a dependency to the latest release.

2.4.32 #

  • Update a dependency to the latest release.

2.4.31 #

  • Update a dependency to the latest release.

2.4.30 #

  • Update a dependency to the latest release.

2.4.29 #

  • Update a dependency to the latest release.

2.4.28 #

2.4.27 #

  • Update a dependency to the latest release.

2.4.26 #

  • Update a dependency to the latest release.

2.4.25 #

  • Update a dependency to the latest release.

2.4.24 #

  • Update a dependency to the latest release.

2.4.23 #

  • Update a dependency to the latest release.

2.4.22 #

  • Update a dependency to the latest release.

2.4.21 #

  • Update a dependency to the latest release.

2.4.20 #

  • Update a dependency to the latest release.

2.4.19 #

  • Update a dependency to the latest release.

2.4.18 #

  • Update a dependency to the latest release.

2.4.17 #

  • Update a dependency to the latest release.

2.4.16 #

  • Update a dependency to the latest release.

2.4.15 #

  • Update a dependency to the latest release.

2.4.14 #

  • Update a dependency to the latest release.

2.4.13 #

  • Update a dependency to the latest release.

2.4.12 #

  • Update a dependency to the latest release.

2.4.11 #

  • Update a dependency to the latest release.

2.4.10 #

  • Update a dependency to the latest release.

2.4.9 #

  • Update a dependency to the latest release.

2.4.8 #

  • Update a dependency to the latest release.

2.4.7 #

  • Update a dependency to the latest release.

2.4.6 #

  • Update a dependency to the latest release.

2.4.5 #

  • Update a dependency to the latest release.

2.4.4 #

  • Update a dependency to the latest release.

2.4.3 #

  • Update a dependency to the latest release.

2.4.2 #

  • Update a dependency to the latest release.

2.4.1 #

  • Update a dependency to the latest release.

2.4.0 #

  • FEAT: Addition of katana_test and katana_builder. (4ac65b26)

2.3.50 #

  • Update a dependency to the latest release.

2.3.49 #

  • Update a dependency to the latest release.

2.3.48 #

  • Update a dependency to the latest release.

2.3.47 #

  • Update a dependency to the latest release.

2.3.46 #

  • Update a dependency to the latest release.

2.3.45 #

  • Update a dependency to the latest release.

2.3.44 #

  • Update a dependency to the latest release.

2.3.43 #

2.3.42 #

  • Update a dependency to the latest release.

2.3.41 #

  • Update a dependency to the latest release.

2.3.40 #

  • Update a dependency to the latest release.

2.3.39 #

  • Update a dependency to the latest release.

2.3.38 #

  • Update a dependency to the latest release.

2.3.37 #

  • Update a dependency to the latest release.

2.3.36 #

  • Update a dependency to the latest release.

2.3.35 #

  • FIX: Fixed a bug that UserAccount was not being retrieved properly. (d670bc03)

2.3.34 #

  • FIX: AgoraScreen can be specified even when AgoraUser is null. (a4ecdec8)

2.3.33 #

  • Update a dependency to the latest release.

2.3.32 #

  • Update a dependency to the latest release.

2.3.31 #

  • Update a dependency to the latest release.

2.3.30 #

  • Update a dependency to the latest release.

2.3.29 #

  • Update a dependency to the latest release.

2.3.28 #

  • Update a dependency to the latest release.

2.3.27 #

  • Update a dependency to the latest release.

2.3.26 #

  • Update a dependency to the latest release.

2.3.25 #

  • Update a dependency to the latest release.

2.3.24 #

  • Update a dependency to the latest release.

2.3.23 #

  • Update a dependency to the latest release.

2.3.22 #

  • Update a dependency to the latest release.

2.3.21 #

  • Update a dependency to the latest release.

2.3.20 #

  • Update a dependency to the latest release.

2.3.19 #

  • Update a dependency to the latest release.

2.3.18 #

  • Update a dependency to the latest release.

2.3.17 #

  • Update a dependency to the latest release.

2.3.16 #

  • Update a dependency to the latest release.

2.3.15 #

  • Update a dependency to the latest release.

2.3.14 #

  • Update a dependency to the latest release.

2.3.13 #

  • Update a dependency to the latest release.

2.3.12 #

  • Update a dependency to the latest release.

2.3.11 #

  • Update a dependency to the latest release.

2.3.10 #

  • Update a dependency to the latest release.

2.3.9 #

  • Update a dependency to the latest release.

2.3.8 #

  • Update a dependency to the latest release.

2.3.7 #

  • Update a dependency to the latest release.

2.3.6 #

  • Update a dependency to the latest release.

2.3.5 #

  • Update a dependency to the latest release.

2.3.4 #

  • Update a dependency to the latest release.

2.3.3 #

  • Update a dependency to the latest release.

2.3.2 #

  • Update a dependency to the latest release.

2.3.1 #

  • Update a dependency to the latest release.

2.3.0 #

  • FEAT: Added DataStream transmission function. (350148ce)

2.2.124 #

  • Update a dependency to the latest release.

2.2.123 #

  • FIX: Version error correction. (3e7b0288)

2.2.122 #

  • Update a dependency to the latest release.

2.2.121 #

  • FIX: Match the notation of "part of" to Linter. (cca8c742)

2.2.120 #

  • Update a dependency to the latest release.

2.2.119 #

  • Update a dependency to the latest release.

2.2.118 #

  • Update a dependency to the latest release.

2.2.117 #

  • Update a dependency to the latest release.

2.2.116 #

  • Update a dependency to the latest release.

2.2.115 #

  • Update a dependency to the latest release.

2.2.114 #

  • Update a dependency to the latest release.

2.2.113 #

  • Update a dependency to the latest release.

2.2.112 #

  • Update a dependency to the latest release.

2.2.111 #

  • Update a dependency to the latest release.

2.2.110 #

  • Update a dependency to the latest release.

2.2.109 #

  • Update a dependency to the latest release.

2.2.108 #

  • Update a dependency to the latest release.

2.2.107 #

  • Update a dependency to the latest release.

2.2.106 #

  • Update a dependency to the latest release.

2.2.105 #

  • Update a dependency to the latest release.

2.2.104 #

  • Update a dependency to the latest release.

2.2.103 #

  • Update a dependency to the latest release.

2.2.102 #

  • Update a dependency to the latest release.

2.2.101 #

  • Update a dependency to the latest release.

2.2.100 #

  • Update a dependency to the latest release.

2.2.99 #

  • Update a dependency to the latest release.

2.2.98 #

  • Update a dependency to the latest release.

2.2.97 #

  • Update a dependency to the latest release.

2.2.96 #

  • Update a dependency to the latest release.

2.2.95 #

  • Update a dependency to the latest release.

2.2.94 #

  • Update a dependency to the latest release.

2.2.93 #

  • Update a dependency to the latest release.

2.2.92 #

  • Update a dependency to the latest release.

2.2.91 #

  • Update a dependency to the latest release.

2.2.90 #

  • Update a dependency to the latest release.

2.2.89 #

  • Update a dependency to the latest release.

2.2.88 #

  • Update a dependency to the latest release.

2.2.87 #

  • Update a dependency to the latest release.

2.2.86 #

  • Update a dependency to the latest release.

2.2.85 #

  • Update a dependency to the latest release.

2.2.84 #

  • Update a dependency to the latest release.

2.2.83 #

  • Update a dependency to the latest release.

2.2.82 #

  • Update a dependency to the latest release.

2.2.81 #

  • Update a dependency to the latest release.

2.2.80 #

  • Update a dependency to the latest release.

2.2.79 #

  • Update a dependency to the latest release.

2.2.78 #

  • Update a dependency to the latest release.

2.2.77 #

  • DOCS: Return to the explanation of normal usage instead of method chain. (ed8a4fcb)

2.2.76 #

  • Update a dependency to the latest release.

2.2.75 #

  • Update a dependency to the latest release.

2.2.74 #

  • FIX: Added extensions to query, model, and router. Also made them available in the method chain. (f1e54c85)

2.2.73 #

  • Update a dependency to the latest release.

2.2.72 #

  • Update a dependency to the latest release.

2.2.71 #

  • Update a dependency to the latest release.

2.2.70 #

  • Update a dependency to the latest release.

2.2.69 #

  • Update a dependency to the latest release.

2.2.68 #

  • Update a dependency to the latest release.

2.2.67 #

  • Update a dependency to the latest release.

2.2.66 #

  • Update a dependency to the latest release.

2.2.65 #

  • Update a dependency to the latest release.

2.2.64 #

  • Update a dependency to the latest release.

2.2.63 #

  • Update a dependency to the latest release.

2.2.62 #

  • Update a dependency to the latest release.

2.2.61 #

  • Update a dependency to the latest release.

2.2.60 #

  • Update a dependency to the latest release.

2.2.59 #

  • Update a dependency to the latest release.

2.2.58 #

  • Update a dependency to the latest release.

2.2.57 #

  • Update a dependency to the latest release.

2.2.56 #

  • Update a dependency to the latest release.

2.2.55 #

  • Update a dependency to the latest release.

2.2.54 #

  • Update a dependency to the latest release.

2.2.53 #

  • Update a dependency to the latest release.

2.2.52 #

  • Update a dependency to the latest release.

2.2.51 #

  • Update a dependency to the latest release.

2.2.50 #

  • Update a dependency to the latest release.

2.2.49 #

  • Update a dependency to the latest release.

2.2.48 #

  • Update a dependency to the latest release.

2.2.47 #

  • Update a dependency to the latest release.

2.2.46 #

  • Update a dependency to the latest release.

2.2.45 #

  • Update a dependency to the latest release.

2.2.44 #

  • Update a dependency to the latest release.

2.2.43 #

  • Update a dependency to the latest release.

2.2.42 #

  • Update a dependency to the latest release.

2.2.41 #

  • Update a dependency to the latest release.

2.2.40 #

  • Update a dependency to the latest release.

2.2.39 #

  • Update a dependency to the latest release.

2.2.38 #

2.2.37 #

  • Update a dependency to the latest release.

2.2.36 #

  • Update a dependency to the latest release.

2.2.35 #

  • Update a dependency to the latest release.

2.2.34 #

  • FIX: Fixed MasamuneControllerBase where adapter was not specified. (04493af1)

2.2.33 #

  • Update a dependency to the latest release.

2.2.32 #

  • Update a dependency to the latest release.

2.2.31 #

  • Update a dependency to the latest release.

2.2.30 #

  • Update a dependency to the latest release.

2.2.29 #

  • Update a dependency to the latest release.

2.2.28 #

  • Update a dependency to the latest release.

2.2.27 #

  • Update a dependency to the latest release.

2.2.26 #

  • Update a dependency to the latest release.

2.2.25 #

  • Update a dependency to the latest release.

2.2.24 #

  • Update a dependency to the latest release.

2.2.23 #

  • Update a dependency to the latest release.

2.2.22 #

  • Update a dependency to the latest release.

2.2.21 #

  • Update a dependency to the latest release.

2.2.20 #

  • Update a dependency to the latest release.

2.2.19 #

  • Update a dependency to the latest release.

2.2.18 #

  • Update a dependency to the latest release.

2.2.17 #

  • Update a dependency to the latest release.

2.2.16 #

  • Update a dependency to the latest release.

2.2.15 #

  • Update a dependency to the latest release.

2.2.14 #

  • Update a dependency to the latest release.

2.2.13 #

  • Update a dependency to the latest release.

2.2.12 #

  • Update a dependency to the latest release.

2.2.11 #

  • Update a dependency to the latest release.

2.2.10 #

  • Update a dependency to the latest release.

2.2.9 #

  • FIX: Change the execution location of MasamuneAdapter.onInitScope. (87e58ff5)

2.2.8 #

  • Update a dependency to the latest release.

2.2.7 #

  • Update a dependency to the latest release.

2.2.6 #

  • Update a dependency to the latest release.

2.2.5 #

  • Update a dependency to the latest release.

2.2.4 #

  • Update a dependency to the latest release.

2.2.3 #

  • Update a dependency to the latest release.

2.2.2 #

  • Update a dependency to the latest release.

2.2.1 #

  • Update a dependency to the latest release.

2.2.0 #

  • FEAT: Supported agora_rtc_engine 6.x. (baeb6a5f)

2.1.16 #

  • DOCS: Added GithubSponsors to ReadMe. (4492e87e)

2.1.15 #

2.1.14 #

  • Update a dependency to the latest release.

2.1.13 #

  • Update a dependency to the latest release.

2.1.12 #

  • Update a dependency to the latest release.

2.1.11 #

  • Update a dependency to the latest release.

2.1.10 #

  • Update a dependency to the latest release.

2.1.9 #

  • Update a dependency to the latest release.

2.1.8 #

  • Update a dependency to the latest release.

2.1.7 #

  • Update a dependency to the latest release.

2.1.6 #

  • DOCS: Changed ReadMe header. (4bc527cb)

2.1.5 #

  • Update a dependency to the latest release.

2.1.4 #

  • Update a dependency to the latest release.

2.1.3 #

  • Update a dependency to the latest release.

2.1.2 #

  • Update a dependency to the latest release.

2.1.1 #

  • Update a dependency to the latest release.

2.1.0 #

2.0.45 #

  • FIX: Adapter tied to the main controller. query installation. (be36304b)

2.0.44 #

  • Update a dependency to the latest release.

2.0.43 #

  • Update a dependency to the latest release.

2.0.42 #

  • FIX: Raised the Dart version of Example. (55d99042)

2.0.41 #

  • Update a dependency to the latest release.

2.0.40 #

  • Update a dependency to the latest release.

2.0.39 #

  • Update a dependency to the latest release.

2.0.38 #

  • Update a dependency to the latest release.

2.0.37 #

  • Update a dependency to the latest release.

2.0.36 #

  • Update a dependency to the latest release.

2.0.35 #

  • Update a dependency to the latest release.

2.0.34 #

  • Update a dependency to the latest release.

2.0.33 #

  • Update a dependency to the latest release.

2.0.32 #

  • Update a dependency to the latest release.

2.0.31 #

  • Update a dependency to the latest release.

2.0.30 #

  • Update a dependency to the latest release.

2.0.29 #

  • Update a dependency to the latest release.

2.0.28 #

  • Update a dependency to the latest release.

2.0.27 #

  • Update a dependency to the latest release.

2.0.26 #

  • Update a dependency to the latest release.

2.0.25 #

  • Update a dependency to the latest release.

2.0.24 #

  • Update a dependency to the latest release.

2.0.23 #

  • Update a dependency to the latest release.

2.0.22 #

  • Update a dependency to the latest release.

2.0.21 #

  • Update a dependency to the latest release.

2.0.20 #

  • Update a dependency to the latest release.

2.0.19 #

  • Update a dependency to the latest release.

2.0.18 #

  • Update a dependency to the latest release.

2.0.17 #

  • Update a dependency to the latest release.

2.0.16 #

  • Update a dependency to the latest release.

2.0.15 #

  • Update a dependency to the latest release.

2.0.14 #

  • Update a dependency to the latest release.

2.0.13 #

  • Update a dependency to the latest release.

2.0.12 #

  • Update a dependency to the latest release.

2.0.11 #

  • Update a dependency to the latest release.

2.0.10 #

  • Update a dependency to the latest release.

2.0.9 #

  • Update a dependency to the latest release.

2.0.8 #

  • Update a dependency to the latest release.

2.0.7 #

  • Update a dependency to the latest release.

2.0.6 #

  • Update a dependency to the latest release.

2.0.5 #

  • Update a dependency to the latest release.

2.0.4 #

  • Update a dependency to the latest release.

2.0.3 #

  • Update a dependency to the latest release.

2.0.2 #

  • Update a dependency to the latest release.

2.0.1 #

  • Update a dependency to the latest release.

2.0.0 #

Note: This release has breaking changes.

  • FEAT: Dart 3.0.0 compatible. (cc981bbc)
  • BREAKING FEAT: Dart 3.0.0 compatible. (bf192403)

1.1.5 #

  • Update a dependency to the latest release.

1.1.4 #

  • Update a dependency to the latest release.

1.1.3 #

  • Update a dependency to the latest release.

1.1.2 #

  • FIX: Fix "Don't use web-only libraries outside Flutter web plugin packages. (41bac310)

1.1.1 #

1.1.0 #

  • FIX: Maintenance of Comments. (476bc409)
  • FIX: Supports CloudRecording and Web-based playback. (353e5d54)
  • FEAT: Initial commitments. (608e3a0a)
0
likes
140
pub points
40%
popularity

Publisher

verified publishermathru.net

Plug-in for Masamune framework to use Agora.io. Includes support for recording.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

agora_rtc_engine, flutter, katana, masamune, permission_handler, universal_platform

More

Packages that depend on masamune_agora